Subject: drivers/net/ariadne.c:165: error: 'set_multicast_list' undeclared here (not in a function)

From: Geert Uytterhoeven <[email-masked]>
Date: Tue, 26 Jan 2010 09:57:05 +0100

http://kisskb.ellerman.id.au/kisskb/buildresult/2076964/

drivers/net/ariadne.c:165: error: 'set_multicast_list' undeclared here
(not in a function)

Seems to be broken by:

commit a271623f871dda970319ca15dfad3a8c8c36249f
Author: Alexey Dobriyan <[email-masked]>
Date:   Fri Jan 22 10:13:10 2010 +0000

    netdev: remove certain HAVE_ macros

    After netdev_ops compat code HAVE_* macros aren't needed, in fact
    they _will_ result in compile breakage for out of tree drivers.

    Signed-off-by: Alexey Dobriyan <[email-masked]>
    Signed-off-by: David S. Miller <[email-masked]>

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds